default:
  # VERSION = see tags, e.g. 0.0.1
  # for debian bullseye slim
  image: registry.gitlab.com/softawere-hackathon/base-runner-container:0.0.2

stages:
  - build

run-tests:
  stage: build
  before_script: 

    
  script:
    # --- Pass information to the measurement tool via environment variables --- #
    - export CI_JOB_SIZE=$(du -sk . | sed  's/\([0-9]*\).*$/\1/g')
    - export CI_JOB_AFTER_REQUIREMENTS_STARTED_AT=$(date +%s)
    
    - for ((k=1; k<=6; k++)); do
    - python test.py
    - done  


    # --- Pass information to the measurement tool via environment variables --- #
    # - export CI_JOB_COVERAGE=$(sed -n --regexp-extended --expression='s/TOTAL.*\s([0-9\%]{2,4})/\1/p' coverage.txt)
    # - export CI_JOB_TEST_COUNT=$(sed -n --regexp-extended --expression='s/\=+\s([0-9]+[^\s]).*/\1/p' test_output.txt)

    # --- Trigger the collection of measurement data and upload to NocoDB --- #
    - curl -s https://gitlab.com/softawere-hackathon/softawere/-/raw/main/gitlab-metric-script/get_metrics.py | python
